Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.uma.core.v1
Class ErrorType

    java.lang.Object
      be.fgov.ehealth.mediprima.uma.core.v1.ErrorType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:51:38+02:00",
               comments="JAXB RI v2.3.6")
    public class ErrorType

extends Object
implements Serializable

Error detail

Java class for ErrorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Origin" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}NameType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ErrorType()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`List<NameType>` | `getMessages()` Gets the value of the messages property.
`String` | `getOrigin()` Gets the value of the origin property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setOrigin(String value)` Sets the value of the origin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorType

    public ErrorType()

Method Detail

### getOrigin

    public String getOrigin()

  Gets the value of the origin property.

  Returns:
    possible object is `String`

### setOrigin

    public void setOrigin(String value)

  Sets the value of the origin property.

  Parameters:
    `value` - allowed object is `String`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getMessages

    public List<NameType> getMessages()

  Gets the value of the messages property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messages property.

  For example, to add a new item, do as follows:

          getMessages().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.